## libnoris-log-dispatch-syslogappender-perl 0.0.1

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	iconv -f utf8 -t latin1 usr/share/perl5/noris/Log/Dispatch/SyslogAppender.pm | pod2man -c secjob -s 1 -q "''" | gzip -9 > $(DESTDIR)/usr/share/man/man3/noris::Log::Dispatch::SyslogAppender.3.gz

clean:
	rm -f *-stamp

=== debian/changelog ===
libnoris-log-dispatch-syslogappender-perl (0.0.1) wheezy; urgency=low

  * Initial release

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 20 Aug 2009 15:21:53 +0200

=== debian/control ===
Source: libnoris-log-dispatch-syslogappender-perl
Section: noris/libs
Priority: optional
Maintainer: Stelios Gikas <stelios.gikas@noris.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: libnoris-log-dispatch-syslogappender-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblog-dispatch-perl
Description: noris::Log::Dispatch::SyslogAppender
 noris::Log::Dispatch::SyslogAppender

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/libnoris-log-dispatch-syslogappender-perl.sgml > libnoris-log-dispatch-syslogappender-perl.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/libnoris-log-dispatch-syslogappender-perl.
	$(MAKE) DESTDIR=$(CURDIR)/debian/libnoris-log-dispatch-syslogappender-perl install


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
